﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class ResetLevel : MonoBehaviour {

	//Reset button
	public Button theResetButton;
	Scene scene;
	//GameObjects containing scripts
	public GameObject MenuObject;

	//Don't forget to hook this object in Unity

	// Use this for initialization
	void Start () {
		theResetButton.onClick.AddListener (ResetAllResets);
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void ResetAllResets(){
		//Format of reset call
		//[GameObjectName] . GetComponent < [classInScript] > . [resetFunction] ( [arguments] ) ;
		//MenuObject.GetComponent<Menu>().MenuReset();
		scene = SceneManager.GetActiveScene();
		SceneManager.LoadScene(scene.name);

	}
}
