﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PyriamidMechanics : MonoBehaviour {

	public GameObject PyramidP1;
	public GameObject PyramidP2;

	public float speed;

	public AudioSource[] Source;
	public AudioSource Hit2;
	public AudioSource tie;

	void Start(){
		Source = GetComponents<AudioSource> ();
		Hit2 = Source [0];
		tie = Source [1];
	}

	void Update(){
		if (gameObject.tag == "P1Pyramid") {
			transform.Rotate (Vector3.left, 100 * Time.deltaTime);
		} else {
			transform.Rotate (Vector3.right, 100 * Time.deltaTime);
		}

	}

	void OnCollisionEnter (Collision col)
	{
		if (col.gameObject.tag == "P1Sphere")
		{
			Destroy (col.gameObject);
			Hit2.Play ();
			gameObject.GetComponent<Rigidbody> ().velocity = new Vector3 (0, 0, 30f);
		}
		else if (col.gameObject.tag == "P2Sphere")
		{
			Destroy (col.gameObject);
			Hit2.Play ();
			gameObject.GetComponent<Rigidbody> ().velocity = new Vector3 (0, 0, -30f);
		}

		if (PyramidP1.tag == "P1Pyramid")
		{
			if (col.gameObject.tag == "P2Pyramid" || col.gameObject.tag == "P1Pyramid")
			{
				tie.Play ();
				Destroy (gameObject, 1);
				Destroy (col.gameObject, 1);

				colorCycle.forward++;
				if (colorCycle.forward >3) {
					colorCycle.forward = 0;
				}
				
			}
		}
	}
}
