﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SphereMechanics : MonoBehaviour {

	public GameObject SphereP1;
	public GameObject SphereP2;
	
	public float speed;

	public AudioSource[] Source;
	public AudioSource Hit3;
	public AudioSource tie;

	void Start(){
		Source = GetComponents<AudioSource> ();
		Hit3 = Source [0];
		tie = Source [1];
	}

	void Update(){
		if (gameObject.tag == "P1Sphere") {
			transform.Rotate (Vector3.left, 100 * Time.deltaTime);
		} else {
			transform.Rotate (Vector3.right, 100 * Time.deltaTime);
		}

	}

	void OnCollisionEnter (Collision col)
	{
		if (col.gameObject.tag == "P1Cube")
		{
			Destroy (col.gameObject);
			Hit3.Play ();
			gameObject.GetComponent<Rigidbody> ().velocity = new Vector3 (0, 0, 30f);
		}
		else if (col.gameObject.tag == "P2Cube")
		{
			Destroy (col.gameObject);
			Hit3.Play ();
			gameObject.GetComponent<Rigidbody> ().velocity = new Vector3 (0, 0, -30f);
		}
		if (SphereP1.tag == "P1Sphere")
		{
			if (col.gameObject.tag == "P2Sphere" || col.gameObject.tag == "P1Sphere")
			{
				tie.Play ();
				Destroy (gameObject, 1);
				Destroy (col.gameObject, 1);

				colorCycle.forward++;
				if (colorCycle.forward > 3) {
					colorCycle.forward = 0;
				}

			}
		}
	}
}
