﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Winner : MonoBehaviour {
	//Winner text
	public GameObject P1Win;
	public GameObject P2Win;
	private bool GameSet = false;

	public AudioSource Win;

	//On awake the 2 win icons are hidden
	void Start(){
		Win = GetComponent<AudioSource> ();

		P1Win.SetActive (false);
		P2Win.SetActive (false);
	}

	//When player 1 is the winner
	public void Player1Wins (){
		P1Win.SetActive (true);
		P2Win.SetActive (false);
		WinSound ();
		GameSet = true;
	}

	//When player 2 is the winner
	public void Player2Wins (){
		P1Win.SetActive (false);
		P2Win.SetActive (true);
		WinSound ();
		GameSet = true;
	}

	public void WinSound(){
		if (!GameSet) {
			Win.Play ();
		}
	}
}
