﻿     using UnityEngine;      using System.Collections;           
public class colorCycle : MonoBehaviour {   
	public Color[] colors;

    public SpriteRenderer lane1;
    public SpriteRenderer lane2;
    public SpriteRenderer lane3;

    static public bool lane1Active = true;
    static public bool lane2Active = false;
    static public bool lane3Active = false;

    private float timer1 = 0.0f;

	static public int forward = 0;

    public int currentIndex = 0;
    private int nextIndex;           
	private float changeColourTime = 1.0f;
   // private float lastChange = 0.0f;      
	private float timer = 0.0f;     
	void Start() {
        if (colors == null || colors.Length < 2)                 
		Debug.Log ("Need to setup colors array in inspector");                       
		nextIndex = (currentIndex + 1) % colors.Length;              }                    
	void Update() {
        

        if (timer >= 0.9)
        {
            timer = 0;

            if (forward==0)
            {
                if (lane1Active)
                {
                    lane1Active = false;
                    lane2Active = true;
                }
                else if (lane2Active)
                {
                    lane2Active = false;
                    lane3Active = true;
                }
                else if (lane3Active)
                {
                    lane3Active = false;
                    lane1Active = true;
                }
            }
            else
            {
                if (lane1Active)
                {
                    lane1Active = false;
                    lane3Active = true;
                }
                else if (lane2Active)
                {
                    lane2Active = false;
                    lane1Active = true;
                }
                else if (lane3Active)
                {
                    lane3Active = false;
                    lane2Active = true;
                }
            }

        }


        if (lane1Active)
        {
            lane1.color = Color.white;
        }
        else
        {
            if (timer1 > changeColourTime)
            {
                currentIndex = (currentIndex + 1) % colors.Length;
                nextIndex = (currentIndex + 1) % colors.Length;
                timer1 = 0.0f;
            }
            lane1.color = Color.Lerp(colors[currentIndex], colors[nextIndex], timer1 / changeColourTime);
        }

        if (lane2Active)
        {
            lane2.color = Color.white;
        }
        else
        {
            if (timer1 > changeColourTime)
            {
                currentIndex = (currentIndex + 1) % colors.Length;
                nextIndex = (currentIndex + 1) % colors.Length;
                timer1 = 0.0f;
            }
            lane2.color = Color.Lerp(colors[currentIndex], colors[nextIndex], timer1 / changeColourTime);
        }

        if (lane3Active)
        {
            lane3.color = Color.white;
        }
        else
        {
            if (timer1 > changeColourTime)
            {
                currentIndex = (currentIndex + 1) % colors.Length;
                nextIndex = (currentIndex + 1) % colors.Length;
                timer1 = 0.0f;
            }
            lane3.color = Color.Lerp(colors[currentIndex], colors[nextIndex], timer1 / changeColourTime);
        }



        timer += Time.deltaTime;
        timer1 += Time.deltaTime;

    }      
}